Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.prep
Class PreparedPolygon

    java.lang.Object
      com.vividsolutions.jts.geom.prep.BasicPreparedGeometry
          com.vividsolutions.jts.geom.prep.PreparedPolygon

All Implemented Interfaces:
  PreparedGeometry

public class PreparedPolygon
extends BasicPreparedGeometry

A prepared version for `Polygonal` geometries.

Author:
  mbdavis

Constructor Summary
`PreparedPolygon(Polygonal poly)`

Method Summary
`boolean` | `contains(Geometry g)` Default implementation.
`boolean` | `containsProperly(Geometry g)` Default implementation.
`boolean` | `covers(Geometry g)` Default implementation.
`FastSegmentSetIntersectionFinder` | `getIntersectionFinder()`
`PointOnGeometryLocator` | `getPointLocator()`
`boolean` | `intersects(Geometry g)` Default implementation.

Methods inherited from class com.vividsolutions.jts.geom.prep.BasicPreparedGeometry
`coveredBy, crosses, disjoint, envelopeCovers, envelopesIntersect, getGeometry, getRepresentativePoints, isAnyTargetComponentInTest, overlaps, toString, touches, within`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreparedPolygon

    public PreparedPolygon(Polygonal poly)

Method Detail

### getIntersectionFinder

    public FastSegmentSetIntersectionFinder getIntersectionFinder()

### getPointLocator

    public PointOnGeometryLocator getPointLocator()

### intersects

    public boolean intersects(Geometry g)

  Description copied from class: `BasicPreparedGeometry`
  Default implementation.

  Specified by:
    `intersects` in interface `PreparedGeometry`
  Overrides:
    `intersects` in class `BasicPreparedGeometry`

### contains

    public boolean contains(Geometry g)

  Description copied from class: `BasicPreparedGeometry`
  Default implementation.

  Specified by:
    `contains` in interface `PreparedGeometry`
  Overrides:
    `contains` in class `BasicPreparedGeometry`

### containsProperly

    public boolean containsProperly(Geometry g)

  Description copied from class: `BasicPreparedGeometry`
  Default implementation.

  Specified by:
    `containsProperly` in interface `PreparedGeometry`
  Overrides:
    `containsProperly` in class `BasicPreparedGeometry`

### covers

    public boolean covers(Geometry g)

  Description copied from class: `BasicPreparedGeometry`
  Default implementation.

  Specified by:
    `covers` in interface `PreparedGeometry`
  Overrides:
    `covers` in class `BasicPreparedGeometry`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD